[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.WriteComponentRes

Write resource header and component data to a stream

## Declaration

Source position: classesh.inc line 959

`public procedure TStream.WriteComponentRes(`
`const ResName: string;`
`Instance: TComponent`
`);`

## Description

WriteComponentRes writes a ResName resource header to the stream and then calls WriteComponent to write the published properties of Instance to the stream.

This method is intended for use by an IDE that can use it to store forms or datamodules as designed in a Windows resource stream.

## See also

TStream.WriteComponent |  | Write component data to the stream
TStream.ReadComponentRes |  | Reads component data and resource header from a stream